#
# spec file for package lxlauncher
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           lxlauncher
Version:        0.2.5
Release:        bp155.18.12
License:        GPL-3.0
Summary:        Open source clone of Asus launcher for Netbooks
Url:            http://www.lxde.org
Group:          System/GUI/LXDE
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gnome-menus-devel
BuildRequires:  intltool
BuildRequires:  menu-cache-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LXLauncher is an open source clone of Asus launcher for
EeePC or Netbooks anyway. It's an LXDE project and it's
based on menu-cache library.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install
%find_lang %{name}
%fdupes -s %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/desktop-directories/
%dir %{_sysconfdir}/xdg/lxlauncher/
%config %{_sysconfdir}/xdg/lxlauncher/gtkrc
%config %{_sysconfdir}/xdg/lxlauncher/settings.conf
%config %{_sysconfdir}/xdg/menus/lxlauncher-applications.menu
%{_sysconfdir}/xdg/lxlauncher/gtk.css
%{_mandir}/man1/lxlauncher.1.gz

%changelog
* Sun Dec 25 2016 trcs@gmx.com
- new upstream release 0.2.5
  * Add a TODO file for development notes
  * Add styling support for GTK+ 3
  * Translation updates
* Tue Oct 21 2014 trcs@gmx.com
- new upstream release 0.2.4
  * SF#466 Align text label with the icon
  * Add compilation notes into README file
  * Replace obsolete variable INCLUDES with AM_CPPFLAGS
  * Use macro AM_MAINTAINER_MODE correct way - with ([enable])
  * Remove call to libtoolize from autogen.sh - it never used
  * Fix crash in case libmenu-cache returned empty menu
  * Translation updates
* Wed Sep  3 2014 trcs@gmx.com
- new upstream version 0.2.3
  * Update lxlauncher-applications.menu for correct work of <Move> tags
  * Tabs background: use ASUS file names as fallbacks too
  * Update .gitignore file for data/lxde-*.directory
  * [i18n]Allow desktop files be translated too, update POT files
  * Restore possibility to use background images on pages
  * Add a manual page for the application
  * Fix all compilation problems (warnings mostly)
  * Remove po/LINGUAS file: it's autogenerated
  * Use all the found gtkrc files, not just first found one
  * Fix path to background image in the README documentation
  * Don't waste memory allocating GtkAllocation
  * Update README file with configuration documentation
  * Use correct parameters for AC_INIT and AM_INIT_AUTOMAKE macros
  * Rename configure.in into configure.ac
  * Fix autogen.sh with newer autotools
  * Fix GtkAllocation to fix empty lxlauncher
- removed lxlauncher-0.2.2-fix-build-on-older-gtk2.patch
  * fixed upstream
- removed lxlauncher-0.2.2-fix-empty-launcher.patch
  * fixed upstream (see above)
- applied spec-cleaner
* Thu Sep 22 2011 andrea.turrini@gmail.com
- fixed typos in lxlauncher.spec
* Tue Jul 26 2011 andrea@opensuse.org
- added lxlauncher-0.2.2-fix-empty-launcher.patch to fix
  empty launcher issue
* Sun Jul 24 2011 gber@opensuse.org
- added lxlauncher-0.2.2-fix-build-on-older-gtk2.patch in order to
  fix the build on gtk2 < 2.24
* Sun Jul 24 2011 andrea@opensuse.org
- new upstream version 0.2.2 (bug fix release)
  * translations updates
- removed all patches now in upstream code
- added url tag
* Fri Feb 25 2011 gber@opensuse.org
- added lxlauncher-0.2.1-fix-missing-intltool-init.patch to
  properly initialize intltool and fix infinite loop while building
  message catalogs
* Mon Jun  7 2010 andrea@opensuse.org
- changed RPM Group to System/GUI/LXDE
* Mon Apr 12 2010 andrea@opensuse.org
- added lxlauncher-0.2.1-fix-segfault.patch (from upstream)
  to fix segfault if a window manager returns no data
  for current desktop
* Tue Apr  6 2010 andrea@opensuse.org
- removed unsopported locales
* Mon Feb 22 2010 andrea@opensuse.org
- added lxlauncher-0.2.1-menu-cache-changes.patch to Fix for
  the new behavior of libmenu-cache 0.3 series
* Wed Dec 16 2009 andrea@opensuse.org
- spec file clean up for factory submit
* Tue Jul 14 2009 andrea@opensuse.org
- fixed no return in non void function gcc warning
* Wed Jul  8 2009 andrea@opensuse.org
- New upstream version 0.2.1
* Fri May 22 2009 andrea@opensuse.org
- new package
